# I3DExTweener Struct Reference
[External Interfaces]

Inheritance diagram for I3DExTweener:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | SimpleTween (real &result, int32 time, int32 time1, int32 time2)=0
virtual MCCOMErr MCCOMAPI | Tween (I3DShKeyFrame *res, int32 time, I3DShTweenerChainLink *alink)=0
virtual MCCOMErr MCCOMAPI | Derivate (I3DShKeyFrame *res, int32 time, I3DShTweenerChainLink *alink)=0
virtual boolean MCCOMAPI | NeedKeyFrameTangents () const =0

## Detailed Description

Defines Animation Tweeners. Tweeners are 3D Components that describe the interpolation between key frames.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DExTweener::Derivate | ( | I3DShKeyFrame * | res,
|  | int32 | time,
|  | I3DShTweenerChainLink * | alink |
| ) |  |  | `[pure virtual]`

Calculate the first derivative of the value as a function of time. This function is used for motion blur and should be implemented so that your tweener is compatible with the motion blur.

Parameters:

  | res | : keyFrame where the result is stored
  | time | : time at which the tweener should be evaluated
  | alink | : link between the two keyframes where time is located

Returns:
  MC_S_OK if it executed properly. MC_E_NOTIMPL if it is not implemented

Implemented in TBasicTweener.

virtual boolean MCCOMAPI I3DExTweener::NeedKeyFrameTangents | ( |  | ) | const`[pure virtual]`

Returns true if the tweener need to have tangents on the keyframes.

Implemented in TBasicTweener.

virtual MCCOMErr MCCOMAPI I3DExTweener::SimpleTween | ( | real & | result,
|  | int32 | time,
|  | int32 | time1,
|  | int32 | time2 |
| ) |  |  | `[pure virtual]`

Implemented in TBasicTweener.

virtual MCCOMErr MCCOMAPI I3DExTweener::Tween | ( | I3DShKeyFrame * | res,
|  | int32 | time,
|  | I3DShTweenerChainLink * | alink |
| ) |  |  | `[pure virtual]`

Interpolates a value between two keyframes.

Parameters:

  | res | : keyFrame where the result is stored
  | time | : time at which the tweener should be evaluated
  | alink | : link between the two keyframes where time is located

-Returns:

MC_S_OK if it executed properly. MC_E_NOTIMPL if it is not implemented

Implemented in TBasicTweener.

The documentation for this struct was generated from the following file:

- I3dExTweener.h